Skip to main content
POST
Close E-Way Bill

Before you start

Use the same x-source header that you used to create the E-Way Bill session.

Headers

authorization
string
required

E-Way Bill access token. To create a session, see Generate E-Way Bill Session. Send the token in the authorization header.

x-api-version
string
default:1.0.0

API version.

x-api-key
string
required

API key that identifies your account.

x-source
enum<string>
default:primary

Source to use. Valid values are primary, secondary, and tertiary.

Available options:
primary,
secondary,
tertiary

Body

application/json

Data to close an E-Way Bill.

ewbNo
integer<int64>
required

12-digit E-Way Bill number.

Example:

111000609282

closureDate
string
required

Closure date. Use DD/MM/YYYY.

Pattern: ^(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[0-2])/[0-9]{4}$
Example:

"21/05/2026"

remarks
string
required

Reason to close the E-Way Bill.

Required string length: 1 - 100
Example:

"Closed after delivery"

Response

Closure result from NIC.

NIC response for an E-Way Bill closure request. Both response types use HTTP 200.

code
enum<integer>
required

NIC response code.

Available options:
200
timestamp
integer<int64>
required

Unix timestamp.

transaction_id
string
required

Request transaction identifier.

data
object
required